@import "./00-settings/settings.css";
@import "./01-generic/elements.css";
@import "./01-generic/generic.css";
@import "./01-generic/flex.css";
@import "./01-generic/fonts.css";
@import "./03-components/header__navbar.css";
@import "./03-components/navbar__link-group.css";
@import "./03-components/header__banner.css";
@import "./03-components/icon-attributions.css";
@import "./03-components/main__content.css";
@import "./03-components/navbar__faire-un-don.css";
@import "./03-components/side.css";
@import "./03-components/logo-sainte-catherine-laboure.css";
@import "./03-components/news__content.css";
@import "./04-media-queries/media-queries.css";

html,
body {
  margin: 0;
  padding: 0;
  font-weight: 200;
  font-style: normal;
  font-family: "Spectral", serif;
  background-color: rgb(110, 99, 98);
}

li {
  list-style: none;
}

/* 
li::before {
	content: '';
	display: inline-block;
	height: 15px;
	width: 15px;
	background-image: url("../img/cross_li.png");
} */

/* li { 
	list-style-image: url("../img/cross_li.png");
} */

.body__grid-container-faire-un-don {
  display: grid;
  grid-gap: 0px 10px;
  width: 100%;
  justify-items: center;
  align-items: baseline;
  grid-template-columns: 1fr;
  grid-template-areas:
    "news"
    "banner"
    "content"
    "side"
    "footer";
}

#h1--holidays {
  color: green;
}

#h2--holidays {
  color: red;
}

.navbar__semainier {
  background-color: white;
  height: 100px;
  width: 100%;
  z-index: 2;
}

.navbar__semainier>a {
  color: black;
  text-decoration: none;
  font-size: 2rem;
}

.header__banner {
  grid-area: banner;
  /* background-image: url("../img/catherine_laboure.jpg"); */
  background-size: cover;
  /* width: 100%;
  height: 800px; */
}

.banner--don {
  background-image: url("../img/rue-du-bac.2.jpg");
  background-size: cover;
}

.quote {
  font-family: Spectral;
  color: white;
  font-size: 2rem;
  margin: 4rem;
  "

}

#live-stream {
  height: 300px !important;
}

.widget-stream__content {
  height: 100vh;
  width: 100vw;
}

main iframe {
  width: 75%;
}

.side {
  grid-area: side;
  background: #6e6362;
  color: white;
  width: 650px;
  height: 550px;
  padding: 50px;
  text-align: center;
}

.side>iframe {
  grid-area: calendar;
  height: 425px;
  width: 650px;
}

.ads-medium-sz {
  margin-top: 200px;
}

.ads-medium-sz img {
  width: 400px;
  height: 400px;
}

footer {
  grid-area: footer;
  text-align: center;
  width: 100%;
  height: 800px;
  background-color: var(--footer-bg-color);
  color: var(--footer-txt-color);
  font-size: 1rem;
}

.content__news {
  grid-area: news;
  justify-self: center;
  align-self: center;
  font-size: 1.5em;
}

.content__schedule {
  grid-area: schedule;
  justify-self: center;
  align-self: center;
  font-size: 1.5em;
}

.content__schedule>h2 {
  background-color: #d4c6c5;
  color: white;
  text-align: center;
}

.content__presentation {
  grid-area: presentation;
  background-color: #d4c6c5;
  color: white;
  height: 100%;
  width: 100%;
  padding: 15px;
}

.content__online-streaming {
  grid-area: onlinestreaming;
  background-color: #d4c6c5;
  color: white;
  height: 100%;
  width: 100%;
  padding: 15px;
}

.content__bottom {
  grid-area: bottomtext;
  text-align: center;
  font-size: 1.5em;
}

h2 {
  text-align: center;
}

.icon-attributions,
.icon-attributions>a {
  display: none;
  cursor: default;
  color: black;
}

.content_schedule__ul {
  list-style-type: none;
  font-size: 1.2em;
  font-weight: bold;
}

.nested-li li {
  list-style-type: none;
}

@media (min-width: 0px) and (max-width: 320px) {
  .body__grid-container {
    display: grid;
    grid-gap: 0px 10px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1fr;
    grid-template-areas:
      "news"
      "banner"
      "content"
      "side"
      "footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 10px 10px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto;
    grid-template-areas:
      "news"
      "schedule"
      "presentation"
      "onlinestreaming"
      "bottomtext";
  }
}

/* Moto G4 */
@media (width: 360px) and (orientation: portrait) {

  html,
  body {
    width: 100vmax;
  }
}

@media (min-width: 320px) and (max-width: 440px) {
  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 30px;
    left: 45%;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    margin-left: 21%;
    font-size: 1.5rem;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 10px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1fr;
    grid-template-areas:
      "news"
      "banner"
      "content"
      "side"
      "footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 10px 10px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto;
    grid-template-areas:
      "news"
      "schedule"
      "presentation"
      "onlinestreaming"
      "bottomtext";
  }

  .content__bottom {
    grid-area: bottomtext;
    text-align: center;
    padding-top: 2em;
    font-size: 1.25em;
  }

  .content__schedule--description ul {
    font-size: 1em;
    list-style-type: none;
    padding-left: 0;
  }

  .side__social-media-links {
    position: relative;
    top: 50px;
  }

  .footer__social-media-links {
    display: flex;
    flex-direction: row;
  }

  .side__social-media-links img {
    width: 64px;
    height: 64px;
    margin-top: -50px;
  }

  .footer__social-media-links img {
    width: 64px;
    height: 64px;
  }
}

@media (min-width: 440px) and (max-width: 768px) {
  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 0;
    left: 0;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    position: fixed;
    right: 10px;
    top: 25px;
    font-size: 1.5rem;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 10px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1fr;
    grid-template-areas:
      "news"
      "banner"
      "content"
      "side"
      "footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 10px 10px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto;
    grid-template-areas:
      "news"
      "schedule"
      "presentation"
      "onlinestreaming"
      "bottomtext";
  }

  .content__bottom {
    grid-area: bottomtext;
    text-align: center;
    padding-top: 2em;
    font-size: 1.25em;
  }

  .content__schedule--description ul {
    font-size: 1em;
    list-style-type: none;
    padding-left: 0;
  }

  .side__social-media-links {
    position: relative;
    top: 50px;
  }

  .side__social-media-links img {
    width: 64px;
    height: 64px;
    margin-top: -50px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 0;
    left: 0;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    position: fixed;
    right: 10px;
    top: 25px;
    font-size: 1.5rem;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 10px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1fr;
    grid-template-areas:
      "news"
      "banner"
      "content"
      "side"
      "footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 10px 10px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto;
    grid-template-areas:
      "news"
      "schedule"
      "presentation"
      "onlinestreaming"
      "bottomtext";
  }

  .content__bottom {
    grid-area: bottomtext;
    text-align: center;
    padding-top: 2em;
    font-size: 1.25em;
  }

  .content__schedule--description ul {
    font-size: 1em;
    list-style-type: none;
    padding-left: 0;
  }

  .side__social-media-links {
    position: relative;
    top: 50px;
  }

  .side__social-media-links img {
    width: 64px;
    height: 64px;
    margin-top: -50px;
  }
}

@media (min-width: 1024px) and (max-width: 1440px) {
  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 0;
    left: 0;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    position: fixed;
    right: 10px;
    top: 25px;
    font-size: 1.5rem;
  }

  .header__banner {
    grid-area: banner;
    /* background-image: url("../img/catherine_laboure.jpg"); */
    background-size: cover;
    width: 100%;
    height: 800px;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 10px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1fr;
    grid-template-areas:
      "news"
      "banner"
      "content"
      "side"
      "footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 0px 10px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto;
    grid-template-areas:
      "news"
      "schedule"
      "presentation"
      "onlinestreaming"
      "bottomtext";
  }

  .content__bottom {
    grid-area: bottomtext;
    text-align: center;
    padding-top: 2em;
    font-size: 1.25em;
  }

  .content__schedule--description ul {
    font-size: 1em;
    list-style-type: none;
    padding-left: 0;
  }

  .side__social-media-links {
    position: relative;
    top: 50px;
  }

  .side__social-media-links img {
    width: 64px;
    height: 64px;
    margin-top: -50px;
  }
}

@media (min-width: 1440px) and (max-width: 2560px) {
  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 0;
    left: 0;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .side {
    grid-area: side;
    background: #6e6362;
    color: white;
    width: 650px;
    height: 550px;
    padding: 50px;
    padding-bottom: 75px;
    text-align: center;
  }

  .side>iframe {
    height: 85%;
    width: 100%;
  }

  .side__social-media-links {
    /* position: relative;
        top: 30px; */
  }

  .side__social-media-links img {
    width: 64px;
    height: 64px;
    margin-top: 50px;
  }

  main iframe {
    width: 100%;
  }

  footer {
    grid-area: footer;
    text-align: center;
    width: 100%;
    height: 800px;
    background-color: var(--footer-bg-color);
    color: var(--footer-txt-color);
    font-size: 1.5rem;
  }

  footer div {
    margin: 2em;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    position: fixed;
    right: 50px;
    top: 30px;
    font-size: 2rem;
  }

  h2 {
    font-size: 2em;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 25px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1.25fr 1.25fr 1fr;
    grid-template-areas:
      "banner banner banner"
      "news news news"
      "content content side"
      "footer footer footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 100px 50px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto auto;
    grid-template-areas:
      "schedule schedule"
      "presentation onlinestreaming"
      "bottomtext bottomtext";
  }
}

@media (min-width: 2560px) {
  h2 {
    font-size: 3.25em;
  }

  #logo-sainte-catherine-laboure {
    position: fixed;
    width: var(--stcathlogo_width) px;
    top: 0;
    left: 25px;
    z-index: 3;
  }

  .navbar__semainier {
    position: fixed;
    top: 0;
    left: 0;
    background-color: white;
    height: 100px;
    width: 100%;
  }

  .side {
    grid-area: side;
    background: #6e6362;
    color: white;
    width: 700px;
    height: 700px;
    padding: 50px;
    padding-bottom: 125px;
    text-align: center;
  }

  .side>iframe {
    height: 85%;
    width: 100%;
  }

  .side__social-media-links {
    position: relative;
    top: 60px;
  }

  .side__social-media-links img {
    width: 128px;
    height: 128px;
  }

  main iframe {
    width: 100%;
    height: 600px;
  }

  footer {
    height: 800px;
    grid-area: footer;
    line-height: 0px;
    font-size: 2.5rem;
  }

  .content__schedule--description,
  .content__bottom {
    font-size: 2em;
  }

  .navbar__semainier>a {
    color: black;
    text-decoration: none;
    position: fixed;
    right: 50px;
    top: 30px;
    font-size: 2rem;
  }

  .body__grid-container {
    display: grid;
    grid-gap: 0px 100px;
    width: 100%;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: 1.25fr 1.25fr 1fr;
    grid-template-areas:
      "news news news"
      "banner banner banner"
      "content content side"
      "footer footer footer";
  }

  .content--grid-container {
    background: #f7eeed;
    padding: 50px;
    display: grid;
    grid-gap: 100px 50px;
    justify-items: center;
    align-items: baseline;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto auto;
    grid-template-areas:
      "news news"
      "schedule schedule"
      "presentation onlinestreaming"
      "bottomtext bottomtext";
  }
}

.margin-left {
  margin-left: 4rem;
}

/**
    CSS ANIMATIONS
*/
.slidein-div {
  animation-duration: 2.5s;
  animation-name: slidein;
}

.fade-in-div {
  animation: fadeIn 2.5s;
  animation-fill-mode: forwards;
}

.fade-in-div-10s {
  animation: fadeIn 10s;
  animation-fill-mode: forwards;
}

.animation-delay-3s {
  animation-delay: 3s;
}

.zero-opacity {
  opacity: 0;
}

@keyframes slidein {
  from {
    margin-left: 100%;
    width: 300%;
  }

  75% {
    font-size: 300%;
  }

  to {
    margin-left: 32%;
    width: 100%;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

#custom-footer {
	background-image: url("../img/divinemercyvilniusimage.jpg");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: left;
}

.footer-info-section {
	position: relative;
	left: 6em;
}